import type { MetadataRoute } from "next";

interface screenShotObject {
  src: string;
  sizes: string;
  type: string;
  form_factor: "wide" | "narrow";
}

interface metaDetail extends MetadataRoute.Manifest {
  // Add your own properties
  screenshots?: screenShotObject[];
}


export default function manifest(): metaDetail {
  return {
    name: "Medianet Solution",
    short_name: "medianet",
    description: "Tagging app for Medianet Solution",
    start_url: "/officer/dashboard",
    orientation: "portrait",
    display: "standalone",
    background_color: "#ffffff",
    theme_color: "#000000",
    icons: [
      {
        src: "/img/auth/medianet_logo.png",
        sizes: "500x500",
        type: "image/png",
      },
    ],
    screenshots: [
      {
        src: "/img/auth/medianet_logo.png",
        sizes: "500x500",
        type: "image/png",
        form_factor: "wide",
      },
      {
        src: "/img/auth/medianet_logo.png",
        sizes: "500x500",
        type: "image/png",
        form_factor: "narrow",
      },
    ],
  };
}
